[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.LinkActive

LinkActive updates the control after a change to the state of its DataLink.

## Declaration

Source position: dbgrids.pas line 488

`protected procedure TCustomDBGrid.LinkActive(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | True when the dataset is open.

## Description

LinkActive is a procedure which updates the control when the state of its DataLink is changing. Value contains False when the dataset for the DataLink will be closed. The state change causes updates to other control properties like SelectedRows which tracks the selected rows in the linked dataset. LinkActive calls RemoveAutomaticColumns to remove automatic columns added to the control when the DataLink became active. The LayoutChanged method is called to refresh the control after updates to the Columns property.

No actions are performed in the method when Value contains True.